import os
import sphinx
from packgram.docs import Settings


class Settings(Settings):

    # Documentation:
    # http://sphinx-doc.org/config.html

    # Project

    project = '<project>'
    author = '<author>'
    copyright = '<copyright>'
    version = '<version>'

    # Autodoc

    autodoc_member_order = 'bysource'
    autodoc_default_flags = ['members', 'special-members', 'private-members']
    autodoc_skip_members = ['__weakref__']


locals().update(Settings(sphinx=sphinx))
