from packgram.project import ProjectModule


class ProjectModule(ProjectModule):

    # Attributes

    author = 'roll'
    author_email = 'roll@respect31.com'
    classifiers = [
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: System :: Systems Administration',
    ]
    copyright = 'Copyright (c) 2014 Respect31 <post@respect31.com>'
    description = 'Packgram is a framework to develop packages.'
    development_requires = ['sphinx', 'sphinx_rtd_theme']
    github_user = 'respect31'
    install_requires = ['box>=0.36', 'runpack>=0.26', 'jinja2']
    interpreters = ['3.3', '3.4']
    license = 'MIT License'
    name = 'packgram'
    platforms = ['Unix']
    pypi_password_secure = 'cgrT/GvdW44j7BzM+CLDeBQpbAQwFOwmRs76c6o0o/QsaI2MvIRvkj5ij9QfKTdRfAqae3S2Anp6ZzfrYVvR+G37VJ8uplC1Y08Jo0xXA95f/nPtcNkLjktmDMjmz2gWxRK+ouDHxXVUkZ/YhuLDfz4svnbCay1/BYTLNgDAYuw='
    tests_require = ['nose']
    test_suite = 'nose.collector'
