import os
import inspect
from run import Module, SubprocessTask


class TestsModule(Module):

    # Meta

    meta_key = 'tests'

    @property
    def meta_basedir(self):
        return os.path.dirname(inspect.getfile(type(self)))

    # Tasks

    test = SubprocessTask(
        prefix='nosetests',
    )
